## flux-led 1.0.4

=== requirements.txt ===
webcolors==1.11.1

=== debian/changelog ===
flux-led (1.0.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 07 Jun 2024 07:14:13 +0100

flux-led (1.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1072329)

 -- Edward Betts <edward@4angle.com>  Sat, 01 Jun 2024 08:38:14 +0100

=== debian/control ===
Source: flux-led
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-webcolors <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/Danielhiversen/flux_led
Vcs-Browser: https://salsa.debian.org/python-team/packages/flux-led
Vcs-Git: https://salsa.debian.org/python-team/packages/flux-led.git

Package: python3-flux-led
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Utility to control Zengge-manufactured LED devices
 This utility provides a command-line interface and a programmable library for
 controlling various LED devices manufactured by Zengge, including products
 branded under Magic Home and Surp Life. The software offers extensive control
 features, replicating most functionalities found in the proprietary apps, and
 supports integrating these devices into custom Python applications or home
 automation systems. Users can manage device colors, patterns, and
 configurations directly over the local network.
 .
 Features include:
  - Discovery of bulbs on LAN
  - Direct manipulation of light states such as color, brightness, and on/off
  - Setting of timers and synchronization of device clocks
  - Support for music mode and remote access configuration (asyncio-based)
  - Utilization of named colors and hex values

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flux-led
export PYBUILD_TEST_ARGS=tests.py
export DH_VERBOSE=1
export PYBUILD_OPTION=-v

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf flux_led.egg-info/ .eggs/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flux-led-$1\.tar\.gz/ \
  https://github.com/Danielhiversen/flux_led/tags .*/v?(\d\S+)\.tar\.gz
